 
// MARK: Now Playing 
 
function NowPlayingView()
{
	return View("Farrago.FGNowPlayingViewHost").setValues({ 
		viewClass: "NowPlayingBubble",
		tileAnimator: {
			nsClass: "Farrago.FGNowPlayingBubbleAnimation"
		},
		gxWantsLayer: true, // Important for animations on 10.13
		gxTooltip: "Extra playing tiles",
		gxIntrinsicWidth: -1,
		gxLayout: [ 
			"H:[extraPlayingBubble(20)]-0-|&alignCenterY", 
		],
		gxChildViews: {
			"extraPlayingBubble": {
				"+": "LabelView.center.white.size11",
				gxHideSpeedSeconds: 0.2,
				gxIntrinsicHeight: 16,
				gxBackPainter: {
					nsClass: "GXRoundRectPainter",
					gxFillColor: Colors.tertiary,
					gxCornerRadius: 6,
				},
				gxDefaultValue: "+N",
			}
		}
	})
} 


